> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete a resource type

DELETE https://api.contentful.com/organizations/{organization_id}/app_definitions/{app_definition_id}/resource_provider/resource_types/{resource_type_id}

Reference: https://contentful.com/developers/docs/references/content-management-api/native-external-references/delete-a-resource-type

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The ID of the organization
- `app_definition_id` (string, required) — The ID of the app definition
- `resource_type_id` (string, required) — The ID of the resource type

## Response

### 204

No Content - Request successful, no content returned

## Examples

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getOrganization('<organization_id>')
  .then((organization) => organization.getAppDefinition('<app_definition_id>'))
  .then((appDefinition) => appDefinition.getResourceProvider())
  .then((resourceProvider) =>
    resourceProvider.getResourceType('<resource_provider_id>:<resource_type_name>')
  )
  .then((resourceType) => resourceType.delete())
  .catch(console.error);
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

await client.resourceType.delete(
  {
    organizationId: '<organization_id>',
    appDefinitionId: '<app_definition_id>',
    resourceTypeId: '<resource_provider_id>:<resource_type_name>',
  }
)
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```